<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# ESCCameraLimits

**Extends:** [Object](../Object)

## Description

Describes a bounding box that limits the camera movement in the scene

## Property Descriptions

### limit\_left

```gdscript
var limit_left: int = -10000
```

The left side of the bounding box

### limit\_right

```gdscript
var limit_right: int = 10000
```

The right side of the bounding box

### limit\_top

```gdscript
var limit_top: int = -10000
```

The top side of the bounding box

### limit\_bottom

```gdscript
var limit_bottom: int = 10000
```

The bottom side of the bounding box

## Method Descriptions

### \_init

```gdscript
func _init(left: int, right: int, top: int, bottom: int)
```

